import { useState } from "react";
import { Col, Divider, Row } from "antd";
import { getAuth, GoogleAuthProvider, FacebookAuthProvider, signInWithPopup } from "firebase/auth";
import {
  FacebookLoginButton,
  GoogleLoginButton,
} from "react-social-login-buttons";
import "./App.css";

import { initializeApp } from "firebase/app";

const firebaseConfig = {
  apiKey: "AIzaSyCSHXBCFBM8q2uw684An_Fln8v3rWFTZ7k",
  authDomain: "flowclass-82258.firebaseapp.com",
  projectId: "flowclass-82258",
  storageBucket: "flowclass-82258.appspot.com",
  messagingSenderId: "73721361786",
  appId: "1:73721361786:web:487e90d1881ab0608712c3",
  measurementId: "G-JJP36FRWZQ",
};

initializeApp(firebaseConfig);
const google = new GoogleAuthProvider();
const facebook = new FacebookAuthProvider();

function App() {
  const [user, setUser] = useState(null);
  const login = async (provider) => {
    const result = await signInWithPopup(getAuth(), provider);
    setUser(result);
    console.log(1111, result);
  };
  return (
    <div className="App">
      <Row gutter={16}>
        <Col className="gutter-row" span={4}>
          <FacebookLoginButton onClick={() => login(facebook)} />
        </Col>
        <Col className="gutter-row" span={4}>
          <GoogleLoginButton onClick={() => login(google)} />
        </Col>
      </Row>
      <Divider orientation="left">User info</Divider>
      {user && <div>{user?._tokenResponse?.idToken}</div>}
    </div>
  );
}

export default App;
